# Generated by Django 3.1.3 on 2021-09-11 19:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Cooker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_photo', models.FileField(blank=True, null=True, upload_to='')),
                ('m_resto', models.CharField(blank=True, max_length=64, null=True)),
                ('m_phone', models.CharField(blank=True, max_length=64, null=True)),
                ('m_whats', models.CharField(blank=True, max_length=64, null=True)),
                ('m_face', models.CharField(blank=True, max_length=64, null=True)),
                ('m_twit', models.CharField(blank=True, max_length=64, null=True)),
                ('m_contacts', models.TextField(blank=True, null=True)),
                ('m_user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Ingredient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_picture', models.FileField(blank=True, null=True, upload_to='')),
                ('m_name', models.CharField(blank=True, max_length=256, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Meal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_name', models.CharField(blank=True, max_length=64, null=True)),
                ('m_name_plus', models.CharField(blank=True, max_length=64, null=True)),
                ('m_description', models.CharField(blank=True, max_length=256, null=True)),
                ('m_picture', models.FileField(blank=True, null=True, upload_to='')),
                ('m_picture_hype', models.FileField(blank=True, null=True, upload_to='')),
                ('m_date_add', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Recette',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_name', models.CharField(blank=True, max_length=64, null=True)),
                ('m_description', models.CharField(blank=True, max_length=256, null=True)),
                ('m_picture', models.FileField(blank=True, null=True, upload_to='')),
                ('m_difficulty', models.CharField(blank=True, choices=[('Très Facile', 'Très Facile'), ('Facile', 'Facile'), ('Moyen', 'Moyen'), ('Difficile', 'Difficile'), ('Très Difficile', 'Très Difficile')], default=0, max_length=64, null=True)),
                ('m_stars', models.IntegerField(blank=True, null=True)),
                ('m_content', models.TextField(blank=True, null=True)),
                ('m_preparation', models.IntegerField(blank=True, default=0, null=True)),
                ('m_cuisson', models.IntegerField(blank=True, default=0, null=True)),
                ('m_category', models.IntegerField(blank=True, choices=[(1, 'Boisson'), (2, 'Déssert'), (3, 'Féculent'), (4, 'Fruit de Mer'), (5, 'Légume'), (6, 'Patisserie'), (7, 'Viande')], null=True)),
                ('m_date_added', models.DateTimeField(auto_now=True)),
                ('m_viewers', models.SlugField(blank=True, null=True)),
                ('m_required_num', models.IntegerField(blank=True, null=True)),
                ('m_cuisto', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='food.cooker')),
                ('m_meal', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='food.meal')),
            ],
        ),
        migrations.CreateModel(
            name='IngredientRecette',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_quantite', models.IntegerField(blank=True, default=None, null=True)),
                ('m_unite', models.CharField(blank=True, default=' ', max_length=256, null=True)),
                ('m_precision', models.TextField(blank=True, default='#', null=True)),
                ('m_ingredient', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='food.ingredient')),
                ('m_recette', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='food.recette')),
            ],
        ),
        migrations.CreateModel(
            name='Commentaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('m_message', models.TextField(blank=True, null=True)),
                ('m_author', models.CharField(blank=True, max_length=64, null=True)),
                ('m_role', models.CharField(blank=True, max_length=64, null=True)),
                ('m_date', models.DateTimeField(auto_now=True)),
                ('m_reply', models.IntegerField(blank=True, default=0, null=True)),
                ('m_recette', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='food.recette')),
            ],
        ),
    ]
